//
// Tests the DOM methods
//

var box = console.getElementById('HBox');
var btn = box.child('RunButton');

print('Button: ');
println(btn);

println( 'Property: enabled' );
print( 'hasAttribute: ' );
println( btn.hasAttribute('enabled') );
print( 'getAttribute: ' );
println( btn.getAttribute('enabled') );
print( 'setAttribute: ' );
println( btn.setAttribute('enabled', false) );
print( 'getAttribute: ' );
println( btn.getAttribute('enabled') );

println();
println( 'Now the console will be displayed with button disabled' );
